
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>POJ 1830.开关问题（高斯消元） / 憋错料</title>

    <meta name="description" content="POJ 1830.开关问题（高斯消元） 题目链接 Solutin: 将每个开关使用的情况当成未知数,如果开关i能影响到开关j,那么系数矩阵A[j][i]的系数为1. 每个开关增广矩阵的值是开关k的初状态异或开关k的目标状态,这个应该很容易想到. 方程都列好了,直接消元就好了. code /* 解异或方程组 */ #include &lt;iostream&gt; #include &lt;cstring&gt; using namespace std; const int MAXN = 50; int prim[MAXN]; int  ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">POJ 1830.开关问题（高斯消元）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><a href="http://poj.org/problem?id=1830" rel="external nofollow noreferrer">题目链接</a></p>
<hr />
<br />Solutin：</p>
<p>将每个开关使用的情况当成未知数，如果开关i能影响到开关j，那么系数矩阵A[j][i]的系数为1。</p>
<p>每个开关增广矩阵的值是开关k的初状态异或开关k的目标状态，这个应该很容易想到。</p>
<p>方程都列好了，直接消元就好了。</p>
<p>code</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvQ29udHJhY3RlZEJsb2NrLmdpZg==.jpg" /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvRXhwYW5kZWRCbG9ja1N0YXJ0LmdpZg==.jpg" /></p>

<pre>/*
       解异或方程组
*/
#include &lt;iostream&gt;
#include &lt;cstring&gt;
using namespace std;
const int MAXN = 50;

int prim[MAXN];
int A[MAXN][MAXN];

int Gauss (int n, int m) {
    int col = 0, row = 0, tem, k = 0;
    for (; col &lt; m &amp;&amp; row &lt; n; ++col) {
        for (tem = row; tem &lt; n &amp;&amp; A[tem][col] == 0; ++tem);
        if (tem == n)  continue;
        if (tem != row) {
            for (int i = 0; i &lt;= n; ++i)
                swap (A[row][i], A[tem][i]);
        }
        for (int i = row + 1; i &lt;= n; ++i) {
            if (A[i][col])
                for (int j = col; j &lt;= m; ++j)
                    A[i][j] ^= A[row][j];
        }
        row++;
    }
    for (int i = row; i &lt; n; ++i)
        if (A[i][n] != 0) return -1;
    return m - row;
}
int n, m, cs, S, T;
int main() {
    ios::sync_with_stdio (0);
    cin &gt;&gt; cs;
    while (cs--) {
        cin &gt;&gt; n;
        S = T = 0;
        for (int i = 0, x; i &lt; n; ++i) {
            cin &gt;&gt; x;
            if (x) S |= (1 &lt;&lt; i);
        }
        for (int i = 0, x; i &lt; n; ++i) {
            cin &gt;&gt; x;
            if (x) T |= (1 &lt;&lt; i);
        }
        T ^= S;
        memset (A, 0, sizeof A);
        for (int i = 0; i &lt; n; ++i){
            if (T &amp; (1 &lt;&lt; i) ) A[i][n] = 1;
            A[i][i]=1;
        }
        int x, y;
        while (cin &gt;&gt; x &gt;&gt; y, x &amp;&amp; y)   A[y - 1][x - 1] = 1;
        int p = Gauss (n, n);
        if (p &lt; 0) cout &lt;&lt; "Oh,it‘s impossible~!!" &lt;&lt; endl;
        else
            cout &lt;&lt; (1 &lt;&lt; p) &lt;&lt; endl;
    }
}</pre>
<p></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 22:28:02 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/%e4%bd%bf%e7%94%a8/" title="使用">使用</a>, <a href="https://www.biecuoliao.com/tag/for/" title="for">for</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>POJ 1830.开关问题（高斯消元）的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eEr5p0.html" rel="bookmark">poj 1830 开关问题 高斯消元</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mnesia在频繁操作数据的过程可能会报错:** WARNING ** Mnesia is overloaded: {dump_log, write_threshold},可以看出,mnesia应该是过载了.这个警告在mnesia dump操作会发生这个问题,表类型为disc_only_copies .disc_copies都可能会发生. 如何重现这个问题,例子的场景是多个进程同时在不断地mnesia:dirty_write/2 mnesia过载分析 1.抛出警告是在mnesia 增加dump			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/n0lxPW0.html" rel="bookmark">POJ 1830 开关问题  高斯消元，自由变量个数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://poj.org/problem?id=1830 如果开关s1操作一次,则会有s1(记住自己也会变).和s1连接的开关都会做一次操作. 那么设矩阵a[i][j]表示按下了开关j,开关i会被操作一次,记得a[i][i] = 1是必须的,因为开关i操作一次,本身肯定会变化一次. 所以有n个开关,就有n条方程, 每个开关的操作次数总和是:a[i][1] + a[i][2] + ... + a[i][n] 那么sum % 2就代表它的状态,需要和(en[i] - be[i] + 2) % 2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lXvAL0.html" rel="bookmark">&lbrack;ACM&rsqb; POJ 2947 Widget Factory &lpar;高斯消元）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Widget Factory Time Limit: 7000MS   Memory Limit: 65536K Total Submissions: 4436   Accepted: 1502 Description The widget factory produces several different kinds of widgets. Each widget is carefully built by a skilled widgeteer. The time required to			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02RLVE0.html" rel="bookmark">POJ 1166&Tab;The Clocks 高斯消元 &plus; exgcd&lpar;纯属瞎搞&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				根据题意可构造出方程组,方程组的每个方程格式均为:C1*x1 + C2*x2 + ...... + C9*x9 = sum + 4*ki; 高斯消元构造上三角矩阵,以最后一个一行为例: C*x9 = sum + 4*k,exgcd求出符合范围的x9,其他方程在代入已知的变量后格式亦如此. 第一发Gauss,蛮激动的. #include &lt;algorithm&gt; #include &lt;iostream&gt; #include &lt;cstring&gt; #include &lt;cstd			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xGkAkM.html" rel="bookmark">POJ - 1222： EXTENDED LIGHTS OUT （开关问题-高斯消元）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				pro:给定5*6的灯的状态,如果我们按下一个灯的开关,它和周围4个都会改变状态.求一种合法状态,使得终状态全为关闭: sol:模2意义下的高斯消元. 终于自己手打了一个初级板子. #include&lt;bits/stdc++.h&gt; #define rep(i,a,b) for(int i=a;i&lt;=b;i++) using namespace std; int a[40][40],ans[40]; int x[5]={0,0,0,1,-1}; int y[5]={0,1,-1,0,0};			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEOrZD3.html" rel="bookmark">poj 2947 Widget Factory &lpar;高斯消元，解模线性方程&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				链接:poj 2947 题意:生产一些零件,已知零件种数,记录条数 记录只记录了某次生产从周几开始,周几结束,以及生产了哪些产品. 每件商品生产所需天数为3-9天. 求每样产品需要多少天才能完成. 若无解输出Inconsistent data. 有无穷解输出Multiple solutions. 有唯一解,输出其解 分析:根据题目所给信息,可以列出同余方程组,再根据高斯消元求解, 但还得判断是无解,无穷解,还是唯一解 1.系数矩阵的秩若与增广矩阵的秩不相等,则无解,否则有解 2.若有解,若增广矩			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41DLpg3.html" rel="bookmark">poj 2947 Widget Factory&lpar;高斯消元&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				description The widget factory produces several different kinds of widgets. Each widget is carefully built by a skilled widgeteer. The time required to build a widget depends on its type: the simple widgets need only 3 days, but the most complex ones			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0n892P4.html" rel="bookmark">【POJ1830】开关问题 高斯消元求自由元</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#include &lt;stdio.h&gt; int main() { puts(&quot;转载请注明出处[vmurder]谢谢&quot;); puts(&quot;网址:blog.csdn.net/vmurder/article/details/43482357&quot;); } 题意:中文题. 题解: 呃,求自由元个数,然后输出1&lt;&lt;ans:(自由元就是高斯消元消某个变量x时发现以下所有方程当前此位系数都是0) 如果无解输出那个题中给的串. 诶网上代码真不可看,我绝望了决定照自己			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xGkgnM.html" rel="bookmark">POJ - 1830：开关问题 （开关问题-高斯消元-自由元）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				pro:有N个相同的开关,每个开关都与某些开关有着联系,每当你打开或者关闭某个开关的时候,其他的与此开关相关联的开关也会相应地发生变化,即这些相联系的开关的状态如果原来为开就变为关,如果为关就变为开.你的目标是经过若干次开关操作后使得最后N个开关达到一个特定的状态.对于任意一个开关,最多只能进行一次开关操作.你的任务是,计算有多少种可以达到指定状态的方法.(不计开关操作的顺序) sol:即求自由元的个数,答案是pow(2,自由元). #include&lt;bits/stdc++.h&gt; #defin			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aAXDQ0.html" rel="bookmark">Poj 2947 widget factory &lpar;高斯消元解同模方程&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目连接: http://poj.org/problem?id=2947 题目大意: 有n种类型的零件,m个工人,每个零件的加工时间是[3,9],每个工人在一个特定的时间段内可以生产k个零件(可以相同种类,也可以不同种类),问每种零件生产一个出来需要的时间? 解题思路: 给出的时间段是从周几到周几,并没有给出具体的时间段,因此在计算过程中要进行取模,还有就是对每个零件要在题目要求的范围内进行枚举. ps:如果求出来的增广矩阵是n*n的,但是某个零件在[3,9]之间没有合理的解,也是无解的. 1			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V0b9ovM.html" rel="bookmark" class="title">2&period;如何在物理机中部署一个NanoServer</a>
					<div>
						与部署在虚拟机中类似,这里仅仅对不同步骤进行说明 1.创建物理机使用的VHD文件(映像)屏幕剪辑的捕获时间: 2017/5/20 12:54 物理机器的 PowerShell 命令行记录 New-Na ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V0bmewM.html" rel="bookmark" class="title">写在分类之首-----to do list&excl;</a>
					<div>
						1.增强学习 http://www.wildml.com/2016/10/learning-reinforcement-learning/ 2.RNN 别人的博客目录: 1.学些增强学习(通过代码,练 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0eprEM.html" rel="bookmark" class="title">Ajax之 beforeSend和complete longind制作</a>
					<div>
						p.p1 { margin: 0.0px 0.0px 0.0px 0.0px; font: 15.0px Consolas; min-height: 18.0px } p.p2 { margin: 0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3q5xyW3.html" rel="bookmark" class="title">sql 数据库中用创建好的视图修改表数据</a>
					<div>
						只要满足下列条件,即可通过视图修改基础基表的数据: 1.任何修改(包括 UPDATE.INSERT 和 DELETE 语句)都只能引用一个基表的列. 2.视图中被修改的列必须直接引用表列中的基础数据. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JkYmPM.html" rel="bookmark" class="title">BZOJ2820 YY的GCD 莫比乌斯反演</a>
					<div>
						题意:求x∈[1,N],y∈[1,M]中gcd(x,y)为质数的数对的数量. 题解: 这个题把BZOJ2301中的k改成枚举素数就能过啦……才怪,不过和那个题的思路类似,但我们不枚举每一个质数,而是直 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPWBEa4.html" rel="bookmark" class="title">Swift语言官方文档翻译&lpar;2&rpar;</a>
					<div>
						A Swift Tour 按照惯例,我们一般学习一个新语言的时候,我们都习惯性的在屏幕上打印&quot;Hello, World&quot;,在Swift中,你可以用如下一个单独语句实现 printl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j1eNgM.html" rel="bookmark" class="title">WEB开发中页面相关标签</a>
					<div>
						1.javascript中的 document.body.clientHeight 和 document.documentElement.clientHeight 的区别 在往同事负责的页面添加我的功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ODyq74.html" rel="bookmark" class="title">1-5-17&colon;球弹跳高度的计算</a>
					<div>
						描述 一球从某一高度落下(整数,单位米),每次落地后反跳回原来高度的一半,再落下.编程计算气球在第10次落地时,共经过多少米? 第10次反弹多高? 输入输入一个整数h,表示球的初始高度.输出输出包含两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YRr8a3.html" rel="bookmark" class="title">linux应用开发-编程规范</a>
					<div>
						linux应用开发-编程规范 一 编程规范 1 注释用/*调用add函数*/ 2 缩进用空格 3 一个程序文件的规范 文件名: 创建者: 创建时间: 文件说明: 4 一个函数的规范 函数名: 参数:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qxD5p0.html" rel="bookmark" class="title">Android CursorAdapter的使用</a>
					<div>
						CursorAdapter继承于BaseAdapter,为Cursor和ListView连接提供了桥梁. 首先看一下CursorAdapter的部分源码: /** * @see android.wid ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzLoPq3.html" rel="bookmark" class="title">分布式日志1 用c&num;的队列写日志</a>
					<div>
						using System; using System.Collections.Generic; using System.Linq; using System.Web; using System.We ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pL9VP4.html" rel="bookmark" class="title">Android中的Matrix类介绍</a>
					<div>
						Matrix顾名思义就是大学的线性代数中的矩阵,关于矩阵的基本知识和加减乘除运算这里不再赘述. Android中的Matrix类是一个比较简单的3x3的3阶矩阵,结构如下: float matrix  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGDOrY0.html" rel="bookmark" class="title">BZOJ1003（最短路&plus;DP）</a>
					<div>
						1003: [ZJOI2006]物流运输trans Time Limit: 10 Sec  Memory Limit: 162 MB Submit: 3479  Solved: 1416 [Submi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bKPvo3.html" rel="bookmark" class="title">杂七杂八的兼容性测试&lpar;一&rpar;</a>
					<div>
						1,前导空白 IE6,IE7,IE8的innerHTML时不会保留前导空白 var div = document.createElement('div'); div.innerHTML = &quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e9ARD0.html" rel="bookmark" class="title">C&num;下内存管理--垃圾收集</a>
					<div>
						章节安排 内存管理简介 垃圾回收机制 性能问题 C#下非托管资源的处理 要强调的几点 References 内存管理简介 对于任何一种编程语言,内存管理都是不得不提很重要的一块内容,但可惜的是目前为止 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l1AWL3.html" rel="bookmark" class="title">2016py学习笔记：模块&sol;</a>
					<div>
						1 模块 1.1引入外部模块 import sys sys.path.append('位置') import 所需模块 1.2使用条件测试代码的模块 __name__的值就是__main__ if _ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dENmr3.html" rel="bookmark" class="title">重写Cordova的backbutton事件</a>
					<div>
						代码块 function onBackKeyDown() { navigator.notification.confirm( '你真的要狠心退出吗?', function (e) { if (e == ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgQYZ83.html" rel="bookmark" class="title">经验篇第十期：群里的那点事儿&lpar;十&rpar;</a>
					<div>
						问题1:关于多个界面调用回调的问题 欢迎小伙伴们常来群里提出技术问题~~并且帮他人解决问题哦					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBz8PgM.html" rel="bookmark" class="title">Vue&period;js之深入浅出</a>
					<div>
						介绍引言 Vue.js(读音 /vju?/,类似于 view) 是一套构建用户界面的渐进式框架.与其他重量级框架不同的是,Vue 采用自底向上增量开发的设计.Vue 的核心库只关注视图层,它不仅易于上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02rOWE0.html" rel="bookmark" class="title">TypeScript教程2</a>
					<div>
						在TS中,我们允许开发人员使用面向对象技术. 1.类让我们看看一个简单的基于类的例子: class Greeter { greeting: string; constructor(message: s ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
